Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfCopy.RefKey

    java.lang.Object
      com.lowagie.text.pdf.PdfCopy.RefKey

Enclosing class:
  PdfCopy

    protected static class PdfCopy.RefKey

extends Object

A key to allow us to hash indirect references

Field Summary
`(package private) int` | `gen`
`(package private) int` | `num`

Constructor Summary
`PdfCopy.RefKey(int num, int gen)`
`PdfCopy.RefKey(PdfIndirectReference ref)`
`PdfCopy.RefKey(PRIndirectReference ref)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### num

    int num

### gen

    int gen

Constructor Detail

### PdfCopy.RefKey

    PdfCopy.RefKey(int num,
                   int gen)

### PdfCopy.RefKey

    PdfCopy.RefKey(PdfIndirectReference ref)

### PdfCopy.RefKey

    PdfCopy.RefKey(PRIndirectReference ref)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD